- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::TimingStatistics Class Reference

This class collects all timing statistics for Ipopt. More...

`#include <IpTimingStatistics.hpp>`

Inheritance diagram for Ipopt::TimingStatistics:

[legend]
Collaboration diagram for Ipopt::TimingStatistics:

[legend]
List of all members.

## Public Member Functions
void | ResetTimes ()
| Method for resetting all times.
void | PrintAllTimingStatistics (Journalist &jnlst, EJournalLevel level, EJournalCategory category) const
| Method for printing all timing information.
Constructors/Destructors
| TimingStatistics ()
| Default constructor.
virtual | ~TimingStatistics ()
| Default destructor.
Accessor methods to all timed tasks.
TimedTask & | OverallAlgorithm ()
TimedTask & | PrintProblemStatistics ()
TimedTask & | InitializeIterates ()
TimedTask & | UpdateHessian ()
TimedTask & | OutputIteration ()
TimedTask & | UpdateBarrierParameter ()
TimedTask & | ComputeSearchDirection ()
TimedTask & | ComputeAcceptableTrialPoint ()
TimedTask & | AcceptTrialPoint ()
TimedTask & | CheckConvergence ()
TimedTask & | PDSystemSolverTotal ()
TimedTask & | PDSystemSolverSolveOnce ()
TimedTask & | ComputeResiduals ()
TimedTask & | LinearSystemScaling ()
TimedTask & | LinearSystemSymbolicFactorization ()
TimedTask & | LinearSystemFactorization ()
TimedTask & | LinearSystemBackSolve ()
TimedTask & | LinearSystemStructureConverter ()
TimedTask & | LinearSystemStructureConverterInit ()
TimedTask & | QualityFunctionSearch ()
TimedTask & | TryCorrector ()
TimedTask & | Task1 ()
TimedTask & | Task2 ()
TimedTask & | Task3 ()
TimedTask & | Task4 ()
TimedTask & | Task5 ()
TimedTask & | Task6 ()
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| TimingStatistics (const TimingStatistics &)
| Copy Constructor.
void | operator= (const TimingStatistics &)
| Overloaded Equals Operator.
## Private Attributes
All timed tasks.
TimedTask | OverallAlgorithm_
TimedTask | PrintProblemStatistics_
TimedTask | InitializeIterates_
TimedTask | UpdateHessian_
TimedTask | OutputIteration_
TimedTask | UpdateBarrierParameter_
TimedTask | ComputeSearchDirection_
TimedTask | ComputeAcceptableTrialPoint_
TimedTask | AcceptTrialPoint_
TimedTask | CheckConvergence_
TimedTask | PDSystemSolverTotal_
TimedTask | PDSystemSolverSolveOnce_
TimedTask | ComputeResiduals_
TimedTask | LinearSystemScaling_
TimedTask | LinearSystemSymbolicFactorization_
TimedTask | LinearSystemFactorization_
TimedTask | LinearSystemBackSolve_
TimedTask | LinearSystemStructureConverter_
TimedTask | LinearSystemStructureConverterInit_
TimedTask | QualityFunctionSearch_
TimedTask | TryCorrector_
TimedTask | Task1_
TimedTask | Task2_
TimedTask | Task3_
TimedTask | Task4_
TimedTask | Task5_
TimedTask | Task6_

## Detailed Description

This class collects all timing statistics for Ipopt.

Definition at line 45 of file IpTimingStatistics.hpp.

## Constructor & Destructor Documentation

Ipopt::TimingStatistics::TimingStatistics | ( |  | ) | `[inline]`

Default constructor.

Definition at line 51 of file IpTimingStatistics.hpp.

virtual Ipopt::TimingStatistics::~TimingStatistics | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 55 of file IpTimingStatistics.hpp.

Ipopt::TimingStatistics::TimingStatistics | ( | const TimingStatistics & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

void Ipopt::TimingStatistics::ResetTimes | ( |  | ) |

Method for resetting all times.

void Ipopt::TimingStatistics::PrintAllTimingStatistics | ( | Journalist & | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category |
| ) |  |  | const

Method for printing all timing information.

TimedTask& Ipopt::TimingStatistics::OverallAlgorithm | ( |  | ) | `[inline]`

Definition at line 69 of file IpTimingStatistics.hpp.

References OverallAlgorithm_.

TimedTask& Ipopt::TimingStatistics::PrintProblemStatistics | ( |  | ) | `[inline]`

Definition at line 73 of file IpTimingStatistics.hpp.

References PrintProblemStatistics_.

TimedTask& Ipopt::TimingStatistics::InitializeIterates | ( |  | ) | `[inline]`

Definition at line 77 of file IpTimingStatistics.hpp.

References InitializeIterates_.

TimedTask& Ipopt::TimingStatistics::UpdateHessian | ( |  | ) | `[inline]`

Definition at line 81 of file IpTimingStatistics.hpp.

References UpdateHessian_.

TimedTask& Ipopt::TimingStatistics::OutputIteration | ( |  | ) | `[inline]`

Definition at line 85 of file IpTimingStatistics.hpp.

References OutputIteration_.

TimedTask& Ipopt::TimingStatistics::UpdateBarrierParameter | ( |  | ) | `[inline]`

Definition at line 89 of file IpTimingStatistics.hpp.

References UpdateBarrierParameter_.

TimedTask& Ipopt::TimingStatistics::ComputeSearchDirection | ( |  | ) | `[inline]`

Definition at line 93 of file IpTimingStatistics.hpp.

References ComputeSearchDirection_.

TimedTask& Ipopt::TimingStatistics::ComputeAcceptableTrialPoint | ( |  | ) | `[inline]`

Definition at line 97 of file IpTimingStatistics.hpp.

References ComputeAcceptableTrialPoint_.

TimedTask& Ipopt::TimingStatistics::AcceptTrialPoint | ( |  | ) | `[inline]`

Definition at line 101 of file IpTimingStatistics.hpp.

References AcceptTrialPoint_.

TimedTask& Ipopt::TimingStatistics::CheckConvergence | ( |  | ) | `[inline]`

Definition at line 105 of file IpTimingStatistics.hpp.

References CheckConvergence_.

TimedTask& Ipopt::TimingStatistics::PDSystemSolverTotal | ( |  | ) | `[inline]`

Definition at line 110 of file IpTimingStatistics.hpp.

References PDSystemSolverTotal_.

TimedTask& Ipopt::TimingStatistics::PDSystemSolverSolveOnce | ( |  | ) | `[inline]`

Definition at line 114 of file IpTimingStatistics.hpp.

References PDSystemSolverSolveOnce_.

TimedTask& Ipopt::TimingStatistics::ComputeResiduals | ( |  | ) | `[inline]`

Definition at line 118 of file IpTimingStatistics.hpp.

References ComputeResiduals_.

TimedTask& Ipopt::TimingStatistics::LinearSystemScaling | ( |  | ) | `[inline]`

Definition at line 122 of file IpTimingStatistics.hpp.

References LinearSystemScaling_.

TimedTask& Ipopt::TimingStatistics::LinearSystemSymbolicFactorization | ( |  | ) | `[inline]`

Definition at line 126 of file IpTimingStatistics.hpp.

References LinearSystemSymbolicFactorization_.

TimedTask& Ipopt::TimingStatistics::LinearSystemFactorization | ( |  | ) | `[inline]`

Definition at line 130 of file IpTimingStatistics.hpp.

References LinearSystemFactorization_.

TimedTask& Ipopt::TimingStatistics::LinearSystemBackSolve | ( |  | ) | `[inline]`

Definition at line 134 of file IpTimingStatistics.hpp.

References LinearSystemBackSolve_.

TimedTask& Ipopt::TimingStatistics::LinearSystemStructureConverter | ( |  | ) | `[inline]`

Definition at line 138 of file IpTimingStatistics.hpp.

References LinearSystemStructureConverter_.

TimedTask& Ipopt::TimingStatistics::LinearSystemStructureConverterInit | ( |  | ) | `[inline]`

Definition at line 142 of file IpTimingStatistics.hpp.

References LinearSystemStructureConverterInit_.

TimedTask& Ipopt::TimingStatistics::QualityFunctionSearch | ( |  | ) | `[inline]`

Definition at line 146 of file IpTimingStatistics.hpp.

References QualityFunctionSearch_.

TimedTask& Ipopt::TimingStatistics::TryCorrector | ( |  | ) | `[inline]`

Definition at line 150 of file IpTimingStatistics.hpp.

References TryCorrector_.

TimedTask& Ipopt::TimingStatistics::Task1 | ( |  | ) | `[inline]`

Definition at line 155 of file IpTimingStatistics.hpp.

References Task1_.

TimedTask& Ipopt::TimingStatistics::Task2 | ( |  | ) | `[inline]`

Definition at line 159 of file IpTimingStatistics.hpp.

References Task2_.

TimedTask& Ipopt::TimingStatistics::Task3 | ( |  | ) | `[inline]`

Definition at line 163 of file IpTimingStatistics.hpp.

References Task3_.

TimedTask& Ipopt::TimingStatistics::Task4 | ( |  | ) | `[inline]`

Definition at line 167 of file IpTimingStatistics.hpp.

References Task4_.

TimedTask& Ipopt::TimingStatistics::Task5 | ( |  | ) | `[inline]`

Definition at line 171 of file IpTimingStatistics.hpp.

References Task5_.

TimedTask& Ipopt::TimingStatistics::Task6 | ( |  | ) | `[inline]`

Definition at line 175 of file IpTimingStatistics.hpp.

References Task6_.

void Ipopt::TimingStatistics::operator= | ( | const TimingStatistics & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

TimedTask Ipopt::TimingStatistics::OverallAlgorithm_`[private]`

Definition at line 199 of file IpTimingStatistics.hpp.

Referenced by OverallAlgorithm().

TimedTask Ipopt::TimingStatistics::PrintProblemStatistics_`[private]`

Definition at line 200 of file IpTimingStatistics.hpp.

Referenced by PrintProblemStatistics().

TimedTask Ipopt::TimingStatistics::InitializeIterates_`[private]`

Definition at line 201 of file IpTimingStatistics.hpp.

Referenced by InitializeIterates().

TimedTask Ipopt::TimingStatistics::UpdateHessian_`[private]`

Definition at line 202 of file IpTimingStatistics.hpp.

Referenced by UpdateHessian().

TimedTask Ipopt::TimingStatistics::OutputIteration_`[private]`

Definition at line 203 of file IpTimingStatistics.hpp.

Referenced by OutputIteration().

TimedTask Ipopt::TimingStatistics::UpdateBarrierParameter_`[private]`

Definition at line 204 of file IpTimingStatistics.hpp.

Referenced by UpdateBarrierParameter().

TimedTask Ipopt::TimingStatistics::ComputeSearchDirection_`[private]`

Definition at line 205 of file IpTimingStatistics.hpp.

Referenced by ComputeSearchDirection().

TimedTask Ipopt::TimingStatistics::ComputeAcceptableTrialPoint_`[private]`

Definition at line 206 of file IpTimingStatistics.hpp.

Referenced by ComputeAcceptableTrialPoint().

TimedTask Ipopt::TimingStatistics::AcceptTrialPoint_`[private]`

Definition at line 207 of file IpTimingStatistics.hpp.

Referenced by AcceptTrialPoint().

TimedTask Ipopt::TimingStatistics::CheckConvergence_`[private]`

Definition at line 208 of file IpTimingStatistics.hpp.

Referenced by CheckConvergence().

TimedTask Ipopt::TimingStatistics::PDSystemSolverTotal_`[private]`

Definition at line 210 of file IpTimingStatistics.hpp.

Referenced by PDSystemSolverTotal().

TimedTask Ipopt::TimingStatistics::PDSystemSolverSolveOnce_`[private]`

Definition at line 211 of file IpTimingStatistics.hpp.

Referenced by PDSystemSolverSolveOnce().

TimedTask Ipopt::TimingStatistics::ComputeResiduals_`[private]`

Definition at line 212 of file IpTimingStatistics.hpp.

Referenced by ComputeResiduals().

TimedTask Ipopt::TimingStatistics::LinearSystemScaling_`[private]`

Definition at line 213 of file IpTimingStatistics.hpp.

Referenced by LinearSystemScaling().

TimedTask Ipopt::TimingStatistics::LinearSystemSymbolicFactorization_`[private]`

Definition at line 214 of file IpTimingStatistics.hpp.

Referenced by LinearSystemSymbolicFactorization().

TimedTask Ipopt::TimingStatistics::LinearSystemFactorization_`[private]`

Definition at line 215 of file IpTimingStatistics.hpp.

Referenced by LinearSystemFactorization().

TimedTask Ipopt::TimingStatistics::LinearSystemBackSolve_`[private]`

Definition at line 216 of file IpTimingStatistics.hpp.

Referenced by LinearSystemBackSolve().

TimedTask Ipopt::TimingStatistics::LinearSystemStructureConverter_`[private]`

Definition at line 217 of file IpTimingStatistics.hpp.

Referenced by LinearSystemStructureConverter().

TimedTask Ipopt::TimingStatistics::LinearSystemStructureConverterInit_`[private]`

Definition at line 218 of file IpTimingStatistics.hpp.

Referenced by LinearSystemStructureConverterInit().

TimedTask Ipopt::TimingStatistics::QualityFunctionSearch_`[private]`

Definition at line 219 of file IpTimingStatistics.hpp.

Referenced by QualityFunctionSearch().

TimedTask Ipopt::TimingStatistics::TryCorrector_`[private]`

Definition at line 220 of file IpTimingStatistics.hpp.

Referenced by TryCorrector().

TimedTask Ipopt::TimingStatistics::Task1_`[private]`

Definition at line 222 of file IpTimingStatistics.hpp.

Referenced by Task1().

TimedTask Ipopt::TimingStatistics::Task2_`[private]`

Definition at line 223 of file IpTimingStatistics.hpp.

Referenced by Task2().

TimedTask Ipopt::TimingStatistics::Task3_`[private]`

Definition at line 224 of file IpTimingStatistics.hpp.

Referenced by Task3().

TimedTask Ipopt::TimingStatistics::Task4_`[private]`

Definition at line 225 of file IpTimingStatistics.hpp.

Referenced by Task4().

TimedTask Ipopt::TimingStatistics::Task5_`[private]`

Definition at line 226 of file IpTimingStatistics.hpp.

Referenced by Task5().

TimedTask Ipopt::TimingStatistics::Task6_`[private]`

Definition at line 227 of file IpTimingStatistics.hpp.

Referenced by Task6().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/src/Algorithm/IpTimingStatistics.hpp